Uses of Annotation Interface
org.apache.juneau.marshall.MarshalledConfig
Packages that use MarshalledConfig
Package
Description
Marshalling API
API-docs mixin pack — composable
@Rest(mixins=...) resources that publish Swagger v2
and OpenAPI 3.1 spec endpoints with Swagger-UI and Redoc HTML mounts.-
Uses of MarshalledConfig in org.apache.juneau.marshall
Method parameters in org.apache.juneau.marshall with type arguments of type MarshalledConfigModifier and TypeMethodDescriptionvoidMarshalledConfigAnnotation.Applier.apply(AnnotationInfo<MarshalledConfig> ai, MarshallingContext.Builder b) -
Uses of MarshalledConfig in org.apache.juneau.rest.server.docs
Methods in org.apache.juneau.rest.server.docs with annotations of type MarshalledConfigModifier and TypeMethodDescriptionOpenApiMixin.getOpenApi(RestRequest req) [GET /openapi] — emit the OpenAPI 3.1 document for this resource.RedocMixin.getRedoc(RestRequest req) [GET /redoc] — render the Redoc HTML view (or the spec, depending onAccept).SwaggerMixin.getSwagger(RestRequest req) [GET /api] — emit the Swagger v2 spec for this resource.SwaggerUiMixin.getSwaggerUi(RestRequest req) [GET /swagger] — render the Swagger-UI HTML view (or the spec, depending onAccept).